﻿using System.ComponentModel;
using HotelDataModels.Models;

namespace HotelContracts.ViewModels;

public class ReservationViewModel : IReservationModel
{
    public int Id { get; set; }
    [DisplayName("Start or reservation")]
    public DateTime StartDate { get; set; }
    [DisplayName("End or reservation")]
    public DateTime EndDate { get; set; }
    public int GuestId { get; set; }
    public int MaitreId { get; set; }
    public Dictionary<int, IRoomModel> ReservationsRooms { get; set; }
}